/*
 * TestEmbedded.java
 *
 * Created on Jul 14, 2007, 10:27:12 PM
 *
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.dhsnet.test.domain;

import javax.persistence.Column;
import javax.persistence.Embeddable;

/**
 *
 * @author slepage
 */
@Embeddable
public class TestEmbedded {

    @Column(name = "COLUMN_THREE")
    private String columnThree = "";
    @Column(name = "COLUMN_FOUR")
    private String columnFour = "";

    public TestEmbedded() {
    }

    public String getColumnFour() {
        return columnFour;
    }

    public void setColumnFour(String columnFour) {
        this.columnFour = columnFour;
    }

    public String getColumnThree() {
        return columnThree;
    }

    public void setColumnThree(String columnThree) {
        this.columnThree = columnThree;
    }

    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final TestEmbedded other = (TestEmbedded) obj;
        if (this.columnThree != other.columnThree && (this.columnThree == null || !this.columnThree.equals(other.columnThree))) {
            return false;
        }
        if (this.columnFour != other.columnFour && (this.columnFour == null || !this.columnFour.equals(other.columnFour))) {
            return false;
        }
        return true;
    }

    public int hashCode() {
        int hash = 3;
        hash = 97 * hash + this.columnThree != null ? this.columnThree.hashCode() : 0;
        hash = 97 * hash + this.columnFour != null ? this.columnFour.hashCode() : 0;
        return hash;
    }
    
}
