/*
 * TestExtends.java
 *
 * Created on Jul 14, 2007, 11:26:25 PM
 *
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.dhsnet.test.domain;

import javax.persistence.Column;
import javax.persistence.DiscriminatorValue;
import javax.persistence.Embedded;
import javax.persistence.Entity;

/**
 *
 * @author slepage
 */
@Entity
@DiscriminatorValue(value="TEST_EXTENDED")
public class TestExtends extends Test {

    @Column(name = "COLUMN_ONE")
    private String columnOne = "";
    @Column(name = "COLUMN_TWO")
    private String columnTwo = "";
    @Embedded
    private TestEmbedded testEmbedded;

    public TestExtends() {
    }

    public String getColumnOne() {
        return columnOne;
    }

    public void setColumnOne(String columnOne) {
        this.columnOne = columnOne;
    }

    public String getColumnTwo() {
        return columnTwo;
    }

    public void setColumnTwo(String columnTwo) {
        this.columnTwo = columnTwo;
    }

    public TestEmbedded getTestEmbedded() {
        return testEmbedded;
    }

    public void setTestEmbedded(TestEmbedded testEmbedded) {
        this.testEmbedded = testEmbedded;
    }

    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final TestExtends other = (TestExtends) obj;
        if (this.columnOne != other.columnOne && (this.columnOne == null || !this.columnOne.equals(other.columnOne))) {
            return false;
        }
        if (this.columnTwo != other.columnTwo && (this.columnTwo == null || !this.columnTwo.equals(other.columnTwo))) {
            return false;
        }
        return true;
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 11 * hash + this.columnOne != null ? this.columnOne.hashCode() : 0;
        hash = 11 * hash + this.columnTwo != null ? this.columnTwo.hashCode() : 0;
        return hash;
    }
}
