/*
 * TestBean.java
 *
 * Created on Jul 14, 2007, 10:39:19 PM
 *
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.dhsnet.test.ejb;

import com.dhsnet.test.domain.Test;
import com.dhsnet.test.domain.TestEmbedded;
import java.util.List;
import javax.ejb.Local;
import javax.ejb.Stateless;
import javax.ejb.TransactionAttribute;
import javax.ejb.TransactionAttributeType;
import javax.ejb.TransactionManagement;
import javax.ejb.TransactionManagementType;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

/**
 *
 * @author slepage
 */
@Stateless
@WebService(name="TestService")
@Local(value = TestLocal.class)
@TransactionAttribute(TransactionAttributeType.NOT_SUPPORTED)
public class TestBean implements TestLocal {

    @PersistenceContext(unitName = "TESTPU")
    private EntityManager em;

    public TestBean() {
    }

    @SuppressWarnings(value = "unchecked")
    @Override
    @WebMethod
    public List<Test> findTestByEmbedded(@WebParam(name = "embedded")
    TestEmbedded embedded) {
        return em.createNamedQuery("Test.testEmbedded")
                .setParameter("embedded", embedded).getResultList();
    }
}
