/*
 * Test.java
 *
 * Created on Jul 14, 2007, 10:24:05 PM
 *
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.dhsnet.test.domain;

import java.util.Date;
import javax.persistence.Column;
import javax.persistence.DiscriminatorColumn;
import javax.persistence.DiscriminatorType;
import javax.persistence.Entity;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import javax.persistence.NamedQuery;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 *
 * @author slepage
 */
@Entity
@NamedQuery(name = "Test.testEmbedded", query = "SELECT t FROM TestExtends t WHERE t.testEmbedded = :embedded")
@Inheritance(strategy = InheritanceType.JOINED)
@DiscriminatorColumn(name = "TEST_TYPE", discriminatorType=DiscriminatorType.STRING)
public abstract class Test extends AbstractEntity {

    @Temporal(TemporalType.DATE)
    @Column(name = "FROM_DATE", nullable = false)
    private Date fromDate = new Date();

    @Temporal(TemporalType.DATE)
    @Column(name = "THRU_DATE")
    private Date thruDate;

    @Column(name = "COMMENT")
    private String comment = "";

    public Test() {
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public Date getFromDate() {
        return fromDate;
    }

    public void setFromDate(Date fromDate) {
        this.fromDate = fromDate;
    }

    public Date getThruDate() {
        return thruDate;
    }

    public void setThruDate(Date thruDate) {
        this.thruDate = thruDate;
    }
    
}
